BarcodeImageHandler (Barbecue 1.0.6d API)
Keywords: net.sourceforge.barbecue.BarcodeImageHandler class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.barbecue
Class BarcodeImageHandler

    java.lang.Object
      net.sourceforge.barbecue.BarcodeImageHandler

public final class BarcodeImageHandler
extends java.lang.Object

Utility class to provide convenience methods for converting barcodes to images and other misc barcode handling.

Author:
  Ian Bourke

Method Summary
`static java.awt.image.BufferedImage` | `getImage(Barcode barcode)` Creates an image for a barcode that can be used in other GUI componenets (e.g.
`static void` | `outputBarcodeAsJPEGImage(Barcode barcode, java.io.OutputStream os)` Outputs a barcode directly to the given output stream, encoded as a JPEG image.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getImage

    public static java.awt.image.BufferedImage getImage(Barcode barcode)

  Creates an image for a barcode that can be used in other GUI componenets (e.g. ImageIcon, JLabel etc).

  Parameters:
    `barcode` - The barcode to convert into an image
  Returns:
    The image

### outputBarcodeAsJPEGImage

    public static void outputBarcodeAsJPEGImage(Barcode barcode,
                                                java.io.OutputStream os)
                                         throws java.io.IOException

  Outputs a barcode directly to the given output stream, encoded as a JPEG image.

  Parameters:
    `barcode` - The barcode to output
    `os` - The output stream to write the image to
  Throws:
    `java.io.IOException` - If the image cannot be written to the output stream correctly

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD